%define anolis_release 21

Name:           perl-HTTP-Negotiate
Version:        6.01
Release:        %{anolis_release}%{?dist}
Summary:        Choose a variant to serve
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/HTTP-Negotiate
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/HTTP-Negotiate-%{version}.tar.gz
Patch0001:      0001-Fix-warning-in-test.patch

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl-interpreter perl-generators perl(:VERSION) >= 5.8.1
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict)
BuildRequires:  perl(Exporter) perl(HTTP::Headers) >= 6
BuildRequires:  perl(HTTP::Request) perl(Test)
Requires:       perl(HTTP::Headers) >= 6
Conflicts:      perl-libwww-perl < 6
obsoletes:      %{name}-tests < %{version}-%{release}

%description
This module provides a complete implementation of the HTTP content negotiation algorithm 
specified in draft-ietf-http-v11-spec-00.ps chapter 12. Content negotiation allows for 
the selection of a preferred content representation based upon attributes of the negotiable 
variants and the value of the various Accept* header fields in the request.

The variants are ordered by preference by calling the function choose().

In an array context, choose() returns a list of [variant identifier,
calculated quality, size] tuples. The values are sorted by quality, highest
quality first. If the calculated quality is the same for two variants, then
they are sorted by size (smallest first). _E.g._:

  (['var1', 1, 2000], ['var2', 0.3, 512], ['var3', 0.3, 1024]);

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n HTTP-Negotiate-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%{make_build}

%install
%{make_install}

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc README Changes

%changelog
* Tue Apr 11 2023 yuanhui <yuanhui@linux.alibaba.com> - 6.01-21
- Optimize the spec file

* Thu Feb 02 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 6.01-20
- init from upstream
